| pepwindowall

## Function

Displays protein hydropathy of a set of sequences

## Description

pepwindowall produces a set of superimposed Kyte & Doolittle hydropathy plots from an aligned set of protein sequences.

The result is the same as running pepwindow on a set of proteins with aligning gaps and superimposing the plots.

It is useful for visualising the average hydropathy and its variability along the alignment.

## Usage

Here is a sample session with pepwindowall

    % pepwindowall ../../data/globins.msf -gxtitle="Base Number" -gytitle="hydropathy"
    Displays protein hydropathy of a set of sequences
    Graph type [x11]: cps

    Created pepwindowall.ps

Go to the input files for this example
Go to the output files for this example

## Command line arguments

       Standard (Mandatory) qualifiers:
      [-sequences]         seqset     File containing a sequence alignment
      [-graph]             xygraph    Graph type

       Additional (Optional) qualifiers:
       -datafile           datafile   Aaindex database file
       -length             integer    Window size

       Advanced (Unprompted) qualifiers: (none)
       Associated qualifiers:

       "-sequences" associated qualifiers
       -sbegin1             integer    Start of each sequence to be used
       -send1               integer    End of each sequence to be used
       -sreverse1           boolean    Reverse (if DNA)
       -sask1               boolean    Ask for begin/end/reverse
       -snucleotide1        boolean    Sequence is nucleotide
       -sprotein1           boolean    Sequence is protein
       -slower1             boolean    Make lower case
       -supper1             boolean    Make upper case
       -sformat1            string     Input sequence format
       -sdbname1            string     Database name
       -sid1                string     Entryname
       -ufo1                string     UFO features
       -fformat1            string     Features format
       -fopenfile1          string     Features file name

       "-graph" associated qualifiers
       -gprompt2            boolean    Graph prompting
       -gtitle2             string     Graph title
       -gsubtitle2          string     Graph subtitle
       -gxtitle2            string     Graph x axis title
       -gytitle2            string     Graph y axis title
       -goutfile2           string     Output file for non interactive displays
       -gdirectory2         string     Output directory

       General qualifiers:
       -auto                boolean    Turn off prompts
       -stdout              boolean    Write standard output
       -filter              boolean    Read standard input, write standard output
       -options             boolean    Prompt for standard and additional values
       -debug               boolean    Write debug output to program.dbg
       -verbose             boolean    Report some/full command line options
       -help                boolean    Report command line options. More
                                      information on associated and general
                                      qualifiers can be found with -help -verbose
       -warning             boolean    Report warnings
       -error               boolean    Report errors
       -fatal               boolean    Report fatal errors
       -die                 boolean    Report deaths

Standard (Mandatory) qualifiers | Allowed values | Default
--- | --- | ---
[-sequences] (Parameter 1) | File containing a sequence alignment | Readable set of sequences | Required
[-graph] (Parameter 2) | Graph type | EMBOSS has a list of known devices, including postscript, ps, hpgl, hp7470, hp7580, meta, colourps, cps, xwindows, x11, tektronics, tekt, tek4107t, tek, none, null, text, data, xterm, png | EMBOSS_GRAPHICS value, or x11
Additional (Optional) qualifiers | Allowed values | Default
-datafile | Aaindex database file | Data file | Enakai.dat
-length | Window size | Integer from 1 to 200 | 7
Advanced (Unprompted) qualifiers | Allowed values | Default
(none)

## Input file format

pepwindowall reads any protein sequence USA for one or more aligned sequences.

### Input files for usage example

### File: ../../data/globins.msf

    !!AA_MULTIPLE_ALIGNMENT 1.0

      ../data/globins.msf MSF:  164 Type: P 25/06/01 CompCheck: 4278 ..

      Name: HBB_HUMAN Len: 164  Check: 6914 Weight: 0.14
      Name: HBB_HORSE Len: 164  Check: 6007 Weight: 0.15
      Name: HBA_HUMAN Len: 164  Check: 3921 Weight: 0.15
      Name: HBA_HORSE Len: 164  Check: 4770 Weight: 0.19
      Name: MYG_PHYCA Len: 164  Check: 7930 Weight: 0.23
      Name: GLB5_PETMA Len: 164  Check: 1857 Weight: 0.21
      Name: LGB2_LUPLU Len: 164  Check: 2879 Weight: 0.10

    //

               1                                               50
    HBB_HUMAN  ~~~~~~~~VHLTPEEKSAVTALWGKVN.VDEVGGEALGR.LLVVYPWTQR
    HBB_HORSE  ~~~~~~~~VQLSGEEKAAVLALWDKVN.EEEVGGEALGR.LLVVYPWTQR
    HBA_HUMAN  ~~~~~~~~~~~~~~VLSPADKTNVKAA.WGKVGAHAGEYGAEALERMFLS
    HBA_HORSE  ~~~~~~~~~~~~~~VLSAADKTNVKAA.WSKVGGHAGEYGAEALERMFLG
    MYG_PHYCA  ~~~~~~~VLSEGEWQLVLHVWAKVEAD.VAGHGQDILIR.LFKSHPETLE
    GLB5_PETMA PIVDTGSVAPLSAAEKTKIRSAWAPVYSTYETSGVDILVKFFTSTPAAQE
    LGB2_LUPLU ~~~~~~~~GALTESQAALVKSSWEEFNANIPKHTHRFFILVLEIAPAAKD

               51                                             100
    HBB_HUMAN  FFESFGDLSTPDAVMGNPKVKAHGKKVLGAFSDGLAHLDNLKGTFATLSE
    HBB_HORSE  FFDSFGDLSNPGAVMGNPKVKAHGKKVLHSFGEGVHHLDNLKGTFAALSE
    HBA_HUMAN  FPTTKTYFPHFDLSHGSAQVKGHGKKVADALTNAVAHVDDMPNALSALSD
    HBA_HORSE  FPTTKTYFPHFDLSHGSAQVKAHGKKVGDALTLAVGHLDDLPGALSNLSD
    MYG_PHYCA  KFDRFKHLKTEAEMKASEDLKKHGVTVLTALGAILKKKGHHEAELKPLAQ
    GLB5_PETMA FFPKFKGLTTADQLKKSADVRWHAERIINAVNDAVASMDDTEKMSMKLRD
    LGB2_LUPLU LFSFLKGTSEVPQNNPELQAHAGKVFKLVYEAAIQLQVTGVVVTDATLKN

               101                                            150
    HBB_HUMAN  LHCDKLH..VDPENFRLLGNVLVCVLAHHFGKEFTPPVQAAYQKVVAGVA
    HBB_HORSE  LHCDKLH..VDPENFRLLGNVLVVVLARHFGKDFTPELQASYQKVVAGVA
    HBA_HUMAN  LHAHKLR..VDPVNFKLLSHCLLVTLAAHLPAEFTPAVHASLDKFLASVS
    HBA_HORSE  LHAHKLR..VDPVNFKLLSHCLLSTLAVHLPNDFTPAVHASLDKFLSSVS
    MYG_PHYCA  SHATKHK..IPIKYLEFISEAIIHVLHSRHPGDFGADAQGAMNKALELFR
    GLB5_PETMA LSGKHAK..SFQVDPQYFKVLAAVIADTVAAGDAGFEKLMSMICILLRSA
    LGB2_LUPLU LGSVHVSKGVADAHFPVVKEAILKTIKEVVGAKWSEELNSAWTIAYDELA

               151        164
    HBB_HUMAN  NALAHKYH~~~~~~
    HBB_HORSE  NALAHKYH~~~~~~
    HBA_HUMAN  TVLTSKYR~~~~~~
    HBA_HORSE  TVLTSKYR~~~~~~
    MYG_PHYCA  KDIAAKYKELGYQG
    GLB5_PETMA Y~~~~~~~~~~~~~
    LGB2_LUPLU IVIKKEMNDAA~~~

## Output file format

An image is displayed on the specified graphics device.

### Output files for usage example

### Graphics File: pepwindowall.ps

## Data files

pepwindow reads the Kyte-Doolittle hydropathy data from the file 'Enakai.dat'

The EMBOSS data file 'Enakai.dat' contains :-

    D Hydropathy index (Kyte-Doolittle, 1982)
    R 0807099
    A Kyte, J. and Doolittle, R.F.
    T A simple method for displaying the hydropathic character of a protein
    J J. Mol. Biol. 157, 105-132 (1982)
    C CHOC760103    0.964  JANJ780102    0.922  DESM900102    0.898
      EISD860103    0.897  CHOC760104    0.889  WOLR810101    0.885
      RADA880101    0.884  MANP780101    0.881  EISD840101    0.878
      PONP800103    0.870  NAKH920108    0.868  JANJ790101    0.867
      JANJ790102    0.866  PONP800102    0.861  MEIH800103    0.856
      PONP800101    0.851  PONP800108    0.850  WARP780101    0.845
      RADA880108    0.842  ROSG850102    0.841  DESM900101    0.837
      BIOV880101    0.829  RADA880107    0.828  LIFS790102    0.824
      KANM800104    0.824  CIDH920104    0.824  MIYS850101    0.821
      RADA880104    0.819  NAKH900111    0.817  NISK800101    0.812
      FAUJ830101    0.811  ARGP820103    0.806  NAKH920105    0.803
      ARGP820102    0.803  KRIW790101   -0.805  CHOC760102   -0.838
      GUYH850101   -0.843  RACS770102   -0.844  JANJ780103   -0.845
      ROSM880101   -0.845  PRAM900101   -0.850  JANJ780101   -0.852
      GRAR740102   -0.859  MEIH800102   -0.871  ROSM880102   -0.878
      OOBM770101   -0.899
    I   A/L    R/K    N/M    D/F    C/P    Q/S    E/T    G/W    H/Y    I/V
        1.8   -4.5   -3.5   -3.5    2.5   -3.5   -3.5   -0.4   -3.2    4.5
        3.8   -3.9    1.9    2.8   -1.6   -0.8   -0.7   -0.9   -1.3    4.2
    //

## Notes

None.

## References

    Kyte, J. and Doolittle, R.F.
    A simple method for displaying the hydropathic character of a protein
    J. Mol. Biol. 157, 105-132 (1982)

## Warnings

None.

## Diagnostic Error Messages

None.

## Exit status

0 upon successful completion.

## Known bugs

None.

## See also

Program name | Description
--- | ---
backtranseq | Back translate a protein sequence
charge | Protein charge plot
checktrans | Reports STOP codons and ORF statistics of a protein
compseq | Counts the composition of dimer/trimer/etc words in a sequence
emowse | Protein identification by mass spectrometry
freak | Residue/base frequency table or plot
iep | Calculates the isoelectric point of a protein
mwcontam | Shows molwts that match across a set of files
mwfilter | Filter noisy molwts from mass spec output
octanol | Displays protein hydropathy
pepinfo | Plots simple amino acid properties in parallel
pepstats | Protein statistics
pepwindow | Displays protein hydropathy

## Author(s)

Ian Longden (il © sanger.ac.uk)
Sanger Institute, Wellcome Trust Genome Campus, Hinxton, Cambridge, CB10 1SA, UK.

## History

    Completed 4th June 1999.

## Target users

This program is intended to be used by everyone and everything, from naive users to embedded scripts.

## Comments